<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:b="http://bootsfaces.net/ui">

	<h:body>

	<ui:composition template="/admin/adminPage.xhtml">
	<ui:define name="content" >
<div class="leftPage">


<h3 style="color: #35cbdf; font-family: Arial, sans-serif; font-size:50px" align="center"  >
	<h:outputText value="RECAP : "/> 
	<h:outputText value="#{mbArticleStock.mouvementAdminMb.ajoutMouvement.typeMouvement.nom} : "/> 
	<h:outputText value="#{mbAdminMouvement.ajoutMouvement.date}"> 
		<f:convertDateTime pattern="dd/MM/yyyy"/> 
	</h:outputText>
	<h:outputText value=" - #{mbArticleStock.mouvementAdminMb.ajoutMouvement.description}"/>
	
</h3>
 
<h:form>
<br/>

  <b:link  value="Retour" href="javascript:history.go(-1)" styleClass="btn btn-primary" size="sm" span="1" offset="5" /> 
  <b:commandButton action="#{mbArticleStock.addGlobalValide()}" value="Valider"  look="primary" span="1" offset-sm="0" ></b:commandButton>

<br/><br/><br/> 
  <b:dataTable value="#{mbArticleStock.articlesStockMvt}"
               var="articleStock" span="8" offset="2">
               
    <b:dataTableColumn value="#{articleStock.article.id}" width="10px" label="Référence"></b:dataTableColumn>
    <b:dataTableColumn value="#{articleStock.article.nom}" width="10px" label="Libellé"></b:dataTableColumn>
    <b:dataTableColumn value="#{articleStock.qtyStock}" width="10px" label="Stock théorique"></b:dataTableColumn>
    <b:dataTableColumn value="#{articleStock.mvtCommande}" width="10px" label="Mvt Commande"></b:dataTableColumn>
    <b:dataTableColumn value="#{articleStock.qtyStockDispo}" width="10px" label="Stock disponible"></b:dataTableColumn>
    <b:dataTableColumn value="#{articleStock.qty}" width="10px" label="Quantité"></b:dataTableColumn>
  
  </b:dataTable>
</h:form>
    

</div>
</ui:define>
</ui:composition>

</h:body>
</html>